Deluge error

antigravity

Blitz 1st Class
Original poster
85
7
Deluge doesn't work- getting this error in the logs

RuTorrent keeps shitting itself (plugins constantly stop working), qBittorrent doesn't auto delete files from the disk... so the only other option is Deluge and it doesn't work.

Code:
20:53:43 [ERROR   ][deluge.core.daemon_entry      :132 ] Unable to start deluged: Expecting value: line 12 column 29 (char 305),
json.decoder.JSONDecodeError: Expecting value: line 12 column 29 (char 305),
21:16:01 [ERROR   ][deluge.config                 :436 ] Expecting value: line 12 column 29 (char 305),
Traceback (most recent call last):,
  File "/usr/lib/python3/dist-packages/deluge/config.py", line 434, in load,
    self.__config.update(json.loads(data[start:end])),
  File "/usr/lib/python3.6/json/__init__.py", line 354, in loads,
    return _default_decoder.decode(s),
  File "/usr/lib/python3.6/json/decoder.py", line 339, in decode,
    obj, end = self.raw_decode(s, idx=_w(s, 0).end()),
  File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode,
    raise JSONDecodeError("Expecting value", s, err.value) from None
 

antigravity

Blitz 1st Class
Original poster
85
7
does qBittorrent even extract rar files?
It does, yes. PGBlitz has an unrar command in it.

In Deluge, I just can't connect to the Daemon.

What settings are required to connect to the Daemon in PGBlitz?
 
Last edited:

Qlogic

Blitz Sergeant
163
23
oh really, i stopped using it because of it and went to rutorrent but my plugins die as well
 

antigravity

Blitz 1st Class
Original poster
85
7
Yeah qBittorrent is crap at handling folders/labels though.

If you turn on auto mode so it uses labels as folders, it won't auto delete torrents from the disk. So you run out of diskspace quickly.

Rtorrent thrashes your disk with session saves and plugins die all the time.

Deluge is the best option, but can't get it to connect to the daemon - despite everything running properly in the docker.
 

Chall

Blitz 3rd Class
13
0
Deluge 2 isn't compatible with Qbitorrent. If you have both installed, deluge 2 doesn't work it seems.

It would be handy to select which deluge deploys in pg apps, then i'd stick with deluge 1 if you need both.

It will also only work on ubuntu 18.04 and not 16.04
 
Last edited:

halali

Blitz 3rd Class
3
0
You have to edit deluge config at /opt/appdata/deluge/core.conf
And change all True values to true, it seems the big latter in True is the issue
 
Assists Greatly with Development Costs

Create an account or login to comment

You must be a member in order to leave a comment

Create account

Create an account on our community. It's easy!

Log in

Already have an account? Log in here.

Thread starter Similar threads Forum Replies Date
C Blitz Apps 0
Q Blitz Apps 2
ogtimothymiller Blitz Apps 4
M Blitz Apps 4
crustyakorn Blitz Apps 3

Similar threads


Development Donations

 

Trending